<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_user_dialog.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">UserDialog Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_user_dialog.html">UserDialog</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_user_dialog.html#afe9e641da1d07ae9a364eef4ce3c5bab">connectSignalsSlots</a>()</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_dialog.html#ac53233e905d7e83008028fec11ea2538">createAndAddMyBooksTab</a>()</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_dialog.html#a7bc4daa2484ab1ba35e78d7fcda8e91a">createAndAddPreferencesTab</a>()</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_dialog.html#ada179e25c08942cd6f200dc0ad8ba3ed">createMenuBar</a>()</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_dialog.html#ac6562b9d4472d5f91c1c97d49cf3cacf">openAboutDialog</a>()</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_dialog.html#ab8488583c180d07fed7a4f7b258781e2">openHelpDialog</a>()</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_dialog.html#aa89b7955cff67e4fc9528de6d266a045">sendAddBookToWishlistRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_dialog.html#a7eb28790ede8a8d131b41a631f45fdd0">sendAddBookToWishlistRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_dialog.html#a35fd2e5ba2011a8b75e2b9a61c31b532">sendCurrentUserRequest</a>()</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_dialog.html#ab441b89bb8e70c48ebca03c6773efb04">sendDetailsAboutBookRequest</a>(QString isbn)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_dialog.html#ab11953e6e270a9ca297703255da0120d">sendDetailsAboutBookRequestResult</a>(Book book, bool isReservedByUser, bool isInUserWishlist)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_dialog.html#aa68431ff6220fc31aecdb75f2c84c316">sendEditUserRequest</a>(User user, bool isAdmin, QString password)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_dialog.html#ae914abc5a44dcb119e3516a3ebcda147">sendEditUserRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_dialog.html#ab242de16bd25f1eeeb6cbc3d9656e992">sendExportWishlistFromFileRequest</a>(QString pathToFileToExport)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_dialog.html#a049e0f82ce07eaf7b82cd3d4251baa6c">sendExportWishlistFromFileRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_dialog.html#a125c2aa9aa687da507d02f3af94f9e48">sendImportWishlistFromFileRequest</a>(QString pathToFileToImport)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_dialog.html#aaa3afeb0ef9cd5257da3321704d2a322">sendImportWishlistFromFileRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_dialog.html#a0edc1453c13fe50e9a34754edd1ce60e">sendLoansRequest</a>()</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_dialog.html#aecc8092341671bf6575563dd298e956f">sendLoansRequestResult</a>(std::vector&lt; Book &gt; books)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_dialog.html#ace1910dfa6e1f56bc3d3c3d3e4b21542">sendRemoveBookFromWishlistRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_dialog.html#a735e0f1530bc833767488bead7579af2">sendRemoveBookFromWishlistRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_dialog.html#a98b08931005f5a9f901afff4003286df">sendReserveBookRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_dialog.html#ada6d6ec95aeb83241afa80f68c42ae02">sendReserveBookRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_dialog.html#a8d9cec62b7a9eee1812b628c0a15308f">sendReturnBookRequest</a>(Book book)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_dialog.html#aeab67aca47d699663edc8bfed7e6da40">sendReturnBookRequestResult</a>(bool ok)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_dialog.html#a7e7fb490bbaa72ec5fa9641f19070200">sendSearchBookRequest</a>(QString id, QString title)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_dialog.html#a05d4498e62cbb9aba70a60c88ca09485">sendSearchBookRequestResult</a>(std::vector&lt; Book &gt; books)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_dialog.html#a8ceda6e9a42e541213117a785a03a34e">sendUserRequestResult</a>(User user, bool isAdmin)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_dialog.html#ae5f8ac35de41d3c9e64c85e1689cedc8">sendWishlistRequest</a>()</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_dialog.html#ac1e1ca783995919647b8d2e4a416a890">sendWishlistRequestResult</a>(std::vector&lt; Book &gt; books)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_user_dialog.html#a45c414c62b116e74e61ba290f3400505">setup</a>()</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>tabWidget</b> (defined in <a class="el" href="class_user_dialog.html">UserDialog</a>)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>userBooksTab</b> (defined in <a class="el" href="class_user_dialog.html">UserDialog</a>)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_user_dialog.html#ab399986324d115af1ee3aa9de52fcd14">UserDialog</a>(QString title=&quot;User&quot;, QDialog *parent=0)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">explicit</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>userPreferencesTab</b> (defined in <a class="el" href="class_user_dialog.html">UserDialog</a>)</td><td class="entry"><a class="el" href="class_user_dialog.html">UserDialog</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
